Name:		vidalia
Version:	0.2.10
Release:	1%{?dist}
Summary:	GUI controller for the Tor Onion Routing Network
Group:		Applications/Internet
License:	GPLv2+
URL:		http://www.torproject.org/vidalia/
Source0:	http://www.torproject.org/%{name}/dist/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRequires:	openssl-devel
BuildRequires:	qt4-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
Requires:	tor
Requires:	hicolor-icon-theme
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
Obsoletes:	%{name}-doc < 0.2.8-1

%description
Vidalia is a cross-platform controller GUI for Tor, built using the Qt 
framework. Vidalia allows you to start and stop Tor, view the status of 
Tor at a glance, and monitor Tor's bandwidth usage. Vidalia also makes 
it easy to contribute to the Tor network by helping you setup a Tor server,
if you wish.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

install -Dpm0644 doc/%{name}.1 \
	%{buildroot}%{_mandir}/man1/%{name}.1

desktop-file-install --delete-original \
	--dir %{buildroot}%{_datadir}/applications \
	%{SOURCE1}

chmod -x contrib/*

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG CREDITS LICENSE* README
%doc contrib
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Fri Sep 17 2010 Chen Lei <supercyper@163.com> - 0.2.10-1
- New upstream release

* Wed May 26 2010 Chen Lei <supercyper@163.com> - 0.2.9-1
- New upstream release

* Wed Apr 21 2010 Chen Lei <supercyper@163.com> - 0.2.8-1
- New upstream release
- Remove -doc subpackage

* Sun Jan 31 2010 Chen Lei <supercyper@163.com> - 0.2.7-2
- Add contrib to -doc subpackage

* Sun Jan 31 2010 Chen Lei <supercyper@163.com> - 0.2.7-1
- New upstream release

* Wed Sep 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.15-1
- New upstream release

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.1.14-3
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
